- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cMPICommBuffer Class Reference
[Parallel simulation support]

Communication buffer that wraps MPI_Pack() and MPI_Unpack() functions. More...

`#include <cmpicommbuffer.h>`

Inheritance diagram for cMPICommBuffer:

List of all members.

## Public Member Functions
| cMPICommBuffer ()
virtual | ~cMPICommBuffer ()
Pack basic types
Pack arrays of basic types
Unpack basic types
Unpack arrays of basic types

## Detailed Description

Communication buffer that wraps MPI_Pack() and MPI_Unpack() functions.

## Constructor & Destructor Documentation

cMPICommBuffer::cMPICommBuffer | ( |  | ) |

| Constructor.

virtual cMPICommBuffer::~cMPICommBuffer | ( |  | ) | `[virtual]`

| Destructor.

The documentation for this class was generated from the following file:

- cmpicommbuffer.h